Modify

#581 closed defect (fixed)

ForkDaemon misses setsid() call

Reported by: ed@… Owned by:
Priority: normal Milestone: 1.2.6
Component: BitlBee Version: 1.2.5
Keywords: Cc:
IRC client+version: Client-independent Operating System: Public server
OS version/distro:

Description

After we call fork(), we must call setsid() to disassociate the service from its controlling TTY.

--- bitlbee.c +++ bitlbee.c @@ -106,6 +106,7 @@

else if( i != 0 )

exit( 0 );

+ setsid();

chdir( "/" );

if( getenv( "_BITLBEE_RESTART_STATE" ) == NULL )

Attachments (1)

bitlbee.txt (175 bytes) - added by ed@… at 2010-03-25T17:29:17Z.
Proper diff

Download all attachments as: .zip

Change History (3)

Changed at 2010-03-25T17:29:17Z by ed@…

Attachment: bitlbee.txt added

Proper diff

comment:1 Changed at 2010-04-12T00:09:57Z by wilmer

Milestone: 1.2.6

comment:2 Changed at 2010-04-13T22:21:19Z by wilmer

Resolution: fixed
Status: newclosed

Modify Ticket

Action
as closed The ticket will remain with no owner.
The resolution will be deleted. Next status will be 'reopened'.

Add Comment


E-mail address and name can be saved in the Preferences.

 
Note: See TracTickets for help on using tickets.